The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновления"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновления"  +/
Сообщение от opennews (?), 25-Май-19, 17:26 
Обновление OpenSSL в репозитории openSUSE Tumbleweed привело (https://github.com/openssl/openssl/pull/8966) к нарушению (https://bugzilla.opensuse.org/show_bug.cgi?id=1135550) работоспособности всех приложений, связанных с OpenSSL и использующих русскую или украинскую локали. Проблема появилась после внесения в OpenSSL изменения (https://github.com/openssl/openssl/commit/e3b35d2b29e9446af8...) в обработчик буфера сообщений об ошибках (strerror_pool). Буфер был определён в 4 килобайта, но этого оказалось недостаточно для некоторых юникод-локалей.


Вывод strerror_r, используемый для заполнения буфера, для русской локали составляет   6856 байт, а для украинской - 7000. В коде OpenSSL изначально была проверка на переполнение, но она учитывала (https://github.com/openssl/openssl/commit/9f15e5b911ba6053e0...) размер на один байт больше фактического значения, что приводило к однобайтовому переполнению и краху при загрузке слишком длинных расшифровок кодов ошибок.


В настоящее время уже подготовлено исправление (https://build.opensuse.org/request/show/704554), но оно ещё не принято. Чтобы откатиться до предыдущей стабильной версии можно выполнить команды:
  
   sudo zypper in tumbleweed-cli
   sudo tumbleweed init
   sudo tumbleweed switch 20190514
   sudo zypper ref && sudo zypper dup && sudo zypper inr

  


URL: https://github.com/openssl/openssl/pull/8966
Новость: https://www.opennet.ru/opennews/art.shtml?num=50744

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


1. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  –3 +/
Сообщение от Зщз (?), 25-Май-19, 17:26 
format c:
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

15. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  –3 +/
Сообщение от AntonAlekseevichemail (ok), 25-Май-19, 18:29 
> format c:

Не туда выбросили. :D

mkfs.ext4 `cat /proc/mounts | grep " / " | awk '{ print $1 }'`

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

17. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  +10 +/
Сообщение от бублички (?), 25-Май-19, 19:09 
mkfs.ext4 `awk '/ \/ / {print $1}' /proc/mounts`

открой для себя удивительные возможнсти awk

Ответить | Правка | ^ к родителю #15 | Наверх | Cообщить модератору

28. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  –4 +/
Сообщение от burik666email (ok), 25-Май-19, 21:45 
mkfs.ext4 /dev/root
Ответить | Правка | ^ к родителю #17 | Наверх | Cообщить модератору

45. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  +/
Сообщение от VINRARUS (ok), 26-Май-19, 10:29 
А чо, dd if=/dev/urandom of=/dev/sda уже не модно?
Ответить | Правка | ^ к родителю #28 | Наверх | Cообщить модератору

50. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  +5 +/
Сообщение от Annoynymous (ok), 26-Май-19, 11:24 
Пользователи NVMe смотрят на тебя как на немодного.
Ответить | Правка | ^ к родителю #45 | Наверх | Cообщить модератору

35. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  +/
Сообщение от AntonAlekseevichemail (ok), 26-Май-19, 00:57 
> mkfs.ext4 `awk '/ \/ / {print $1}' /proc/mounts`
> открой для себя удивительные возможнсти awk

Вот за этот комментарий я готов сказать огромное спасибо.

Ответить | Правка | ^ к родителю #17 | Наверх | Cообщить модератору

43. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  –2 +/
Сообщение от Stax (ok), 26-Май-19, 07:33 
Толку-то?? Пример все равно не рабочий. Ключик -f забыт.
Ответить | Правка | ^ к родителю #35 | Наверх | Cообщить модератору

52. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  +1 +/
Сообщение от Аноним (52), 26-Май-19, 13:50 
Там ещё и прямые апострофы вместо обратных.
Ответить | Правка | ^ к родителю #43 | Наверх | Cообщить модератору

66. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  +/
Сообщение от AntonAlekseevichemail (ok), 27-Май-19, 16:45 
> Там ещё и прямые апострофы вместо обратных.

Откройте "вслухборд" и увидите обратные.

Ответить | Правка | ^ к родителю #52 | Наверх | Cообщить модератору

61. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  +/
Сообщение от AntonAlekseevichemail (ok), 27-Май-19, 01:48 
> Толку-то?? Пример все равно не рабочий. Ключик -f забыт.

И в изначальном примере его нет. Так что увы.

Ответить | Правка | ^ к родителю #43 | Наверх | Cообщить модератору

3. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  –7 +/
Сообщение от Аноним (3), 25-Май-19, 17:29 
> русскую или украинскую локали

Т.е. они, в принципе, одно и то же?

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

20. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  +5 +/
Сообщение от Crazy Alex (ok), 25-Май-19, 19:42 
В смысле? Сообщения разные, на разных языках. Я так понимаю, на других языках текст выходит покороче, и эта штука не выстреливает
Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

47. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  +/
Сообщение от VINRARUS (ok), 26-Май-19, 10:32 
> > русскую или украинскую локали
> Т.е. они, в принципе, одно и то же?

Читай внимательно: "для русской локали составляет 6856 байт, а для украинской - 7000"

Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

4. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  –1 +/
Сообщение от Аноним (52), 25-Май-19, 17:31 
> привело к нарушению работоспособности всех приложений, связанных с OpenSSL
> Чтобы откатиться до предыдущей стабильной версии можно выполнить команды:
>
> sudo zypper...

Позвольте, но ведь zypper связан с openssl.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

18. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  +1 +/
Сообщение от Аноним (18), 25-Май-19, 19:10 
LC_ALL=C sudo zypper...
Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

19. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  +1 +/
Сообщение от пох (?), 25-Май-19, 19:27 
а там "Defaults env_reset" ;-)

Ответить | Правка | ^ к родителю #18 | Наверх | Cообщить модератору

55. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  +1 +/
Сообщение от Аноним (18), 26-Май-19, 14:39 
Если бы это было так, что все бы работало и без выставления локали, т.к. по дефолту там у рута английская локаль, независимо от системной.
Ответить | Правка | ^ к родителю #19 | Наверх | Cообщить модератору

5. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  –4 +/
Сообщение от Аноне (?), 25-Май-19, 17:34 
Тут ребята килобайты экономят, а кто-то браузер в блокнот пихает.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

7. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  +1 +/
Сообщение от Аноним (7), 25-Май-19, 17:41 
Ну и как? Сэкономили?

> Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновления

Неплохо так сэкономили. Пофиг, что не работает, главное сэкономили память.

Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

21. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  +/
Сообщение от Crazy Alex (ok), 25-Май-19, 19:43 
А теперь прочти новость ещё раз и осознай, что проблема - в некорректной обработке слишком длинного содержимого буфера
Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

25. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  +/
Сообщение от Аноне (?), 25-Май-19, 20:41 
Я стал понимать, что весь хейтинг идёт в основном от тех, кто сам не участвовал проектах посерьезнее приветмира, ибо не знает, что даже отлить иногда не получается, не капнув на ботинок, из ошибки можно извлечь пользу и опыт, но далее будет другой новый опыт, и всё равно люди будут косячить. Ибо ошибка - это часть развития и наполнения опытом хоть искусственного интеллекта, хоть разумного существа. В данном случае тестеров русских не нашли - это уже другой вопрос, ну или автотесты там какие-нить недописали.
Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

30. "Ошибка в OpenSSL сломала openSUSE Tumbleweed после обновлени..."  +/
Сообщение от пох (?), 25-Май-19, 22:35 
вы патч посмотрите, посмотрите на досуге.
Если вы на самом деле участвовали в проектах посерьезнее - вы сами все поймете.

Дело не в "русских не нашли" и не "автотесты не дописали".

Ответить | Правка | ^ к родителю #25 | Наверх | Cообщить модератору

6. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  –3 +/
Сообщение от Анонимemail (6), 25-Май-19, 17:41 
Позорище.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

8. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +4 +/
Сообщение от Аноним (8), 25-Май-19, 17:53 
Англоцентричное программирование ¯\_(ツ)_/¯
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

14. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +/
Сообщение от пох (?), 25-Май-19, 18:23 
было б англоцентричное - все б работало.
Но не насовать в системную библиотеку, из которой наружу в обход приложения в идеале вообще ничего текстового не должно торчать, локализованного мусора, избавляющего манки-кодера от необходимости применять голову, было никак нельзя.

Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

22. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +1 +/
Сообщение от vantoo (ok), 25-Май-19, 20:22 
Представителей "золотого миллиарда" не волнуют проблемы стран "третьего мира".
/sarcasm
Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

33. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  –3 +/
Сообщение от Аноним (33), 25-Май-19, 23:10 
Вообще-то россияне и даже украинцы входят в упомянутый "золотой миллиард".
Ответить | Правка | ^ к родителю #22 | Наверх | Cообщить модератору

68. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +/
Сообщение от twilight (ok), 28-Май-19, 08:58 
Не входят и никогда не входили.
Ответить | Правка | ^ к родителю #33 | Наверх | Cообщить модератору

24. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  –1 +/
Сообщение от Аноним (24), 25-Май-19, 20:28 
> Англоцентричное
> OpenSUSE
> Germany

ок.

Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

48. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  –1 +/
Сообщение от VINRARUS (ok), 26-Май-19, 10:34 
>> Англоцентричное
>> OpenSUSE
>> Germany
> ок.

Месть дедов...

Ответить | Правка | ^ к родителю #24 | Наверх | Cообщить модератору

63. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +/
Сообщение от Аноним (63), 27-Май-19, 10:47 
> Месть дедов...

Скорее похоже на месть "внукам", поскольку у "Germany"-пользователей все в порядке, а вот у "внуков" - крашится...

Ответить | Правка | ^ к родителю #48 | Наверх | Cообщить модератору

10. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +/
Сообщение от Анонимemail (10), 25-Май-19, 17:57 
АК это поэтому у меня после апдейта ни фига не запускается и крашится? Прикольно.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

12. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +4 +/
Сообщение от Лапчатый девляпс бубунтёнак (?), 25-Май-19, 18:15 
Опенссл постоянно ломается. Плывут апи в самых минорных релизах. Порой удобнее собрать старую версию, и статически с приложением(дададад, знаю что несесюрно). Сборочница нестандартная.
Для QT4 и Kdelibs 4, например, от которых зависит некоторый старый, но нужный софт, оказалось проще собрать статически с древней сверхуязвимой версией опенссля.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

16. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +3 +/
Сообщение от пох (?), 25-Май-19, 18:37 
минорные версии были во времена 0.8.чтототам, в крайнем случае - 1.0.0буква. Вот буква - это была минорная версия. И то в те годы было не принято тащить эти новые буквы в стабильные дистрибутивы, бэкпортили патчи.

А thumbleweed - роллинг, его владельцы любят страдание, не вижу в этом никакой проблемы.

В 2005м году эта новость звучала бы так: "у пересобиральщика пре-альфа-версии opensuse6 в очередной раз не прокатил апгрейд openssl. Он сожрал пиццу, запил колой, дважды рыгнул и теперь спит, переваривая - как проснется, попробует починить."

Ответить | Правка | ^ к родителю #12 | Наверх | Cообщить модератору

39. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +/
Сообщение от Лапчатый девляпс бубунтёнак (?), 26-Май-19, 07:22 
Я давно заметил, что там версионирование - далеко не семантическое. Вот только, даже та самая буква тоже однажды всё сломала. Это опенссл.
Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

40. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +1 +/
Сообщение от Аноним (40), 26-Май-19, 07:24 
В 2010-2011 еще было так. Эх, золотые были времена.
Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

41. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +/
Сообщение от Аноним (40), 26-Май-19, 07:27 
Upd. Это я о тумбе. Все было просто и понятно: вот стабильный релиз, вот преальфа для мазохистов.
Ответить | Правка | ^ к родителю #40 | Наверх | Cообщить модератору

26. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +/
Сообщение от Аноним (26), 25-Май-19, 20:49 
У меня такая же нога и все ок! Сижу себе на генте с размасканым 1.1.1b, все ок ... :-Р
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

27. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +5 +/
Сообщение от Аноним (27), 25-Май-19, 21:21 
Слезь с генты, ей и так не очень хорошо
Ответить | Правка | ^ к родителю #26 | Наверх | Cообщить модератору

57. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +/
Сообщение от Perl_Jam (?), 26-Май-19, 15:16 
Врун
Ответить | Правка | ^ к родителю #27 | Наверх | Cообщить модератору

62. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +/
Сообщение от Аноним (62), 27-Май-19, 02:56 
Гентушники не бэкпортировали патч, который вызвал эту регрессию в сусе.
Ответить | Правка | ^ к родителю #26 | Наверх | Cообщить модератору

29. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  –1 +/
Сообщение от Дегенератор (ok), 25-Май-19, 21:53 
> По моему лучшый дистрибутив для "поставил, настроил, забыл"
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

32. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +1 +/
Сообщение от Аноним (32), 25-Май-19, 22:53 
А ты действительно дегенератор. Почитай, чем Tumbleweed отличается от обычного релиза.
Ответить | Правка | ^ к родителю #29 | Наверх | Cообщить модератору

49. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  –1 +/
Сообщение от VINRARUS (ok), 26-Май-19, 10:37 
>> По моему лучшый дистрибутив для "поставил, настроил, забыл"

Буфер почисть, а то опять переполнился очевидно.
По этому я и ставлю Leap, а Tumbleweed не признаю.

Ответить | Правка | ^ к родителю #29 | Наверх | Cообщить модератору

51. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  –1 +/
Сообщение от Дегенератор (ok), 26-Май-19, 12:05 
>>> По моему лучшый дистрибутив для "поставил, настроил, забыл"
> Буфер почисть, а то опять переполнился очевидно.
> По этому я и ставлю Leap, а Tumbleweed не признаю.

А шо такое буфер?

Ответить | Правка | ^ к родителю #49 | Наверх | Cообщить модератору

31. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +1 +/
Сообщение от анчоус (?), 25-Май-19, 22:36 
А, так вот что это было - я гружусь и у меня крашатся akonadi, kdekonnectd и чего то еще. Я то думал в кедах что то сломали, откатился на прошлый снапшот и уже почти неделю воздерживаюсь от обновлений. А ща глянул в сводку установки - реально openssl 1.1.0h-1.2 -> 1.1.1b-1.1
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

34. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +/
Сообщение от AlexYeCu_not_logged (?), 25-Май-19, 23:39 
В Fedora 30, если я правильно понимаю,  точно такое же обновление привело к неработоспособности Sylpheed.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

36. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +1 +/
Сообщение от Ilya Indigo (ok), 26-Май-19, 02:03 
>   sudo zypper in tumbleweed-cli
>   sudo tumbleweed init
>   sudo tumbleweed switch 20190514
>   sudo zypper ref && sudo zypper dup && sudo zypper inr

У меня это не работает, наверно потому-что у меня ext4.
Есть более простой и надёжный способ, подключить проект security:tls и обновиться .
sudo zypper ar -cf https://download.opensuse.org/repositories/security:tls/open... OpenSSL && sudo zypper dup

А после принятия в Tumbleweed - удалить проект security:tls и обновится.
sudo zypper rr OpenSSL && sudo zypper dup

По традиции, не понятно зачем, в Staging openssl-1_1 поместили в одну группу (C) с пихоном, с которым, по традиции и ожиданию, проблемы с зависящими от них пакетами, так что скорого принятия можно не ожидать.
https://build.opensuse.org/project/staging_projects/openSUSE...

P.S. https://build.opensuse.org/project/show/openSUSE:Factory:Sta...
О, что я вижу!


dimstar_suse wrote about 12 hours ago

Requests: 0 added, 3 removed; using unselect command

    removed request#700047 for package python-urllib3 submitted by mcepl
    removed request#700429 for package python submitted by mcepl
    removed request#704730 for package python3 submitted by scarabeus_iv

Не ужели здравый смысл восторжествовал и из этой группы удалили пихон!
Тогда шанс на то, что его примут в Tumbleweed в этом месяце возрастает.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

67. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +1 +/
Сообщение от Анонимemail (10), 27-Май-19, 18:55 
Почему-то dup но чего не нашёл, хотя явно видна более новая по циферкам версия. Но поменял вручную поставщика и всё заработало. Спасибо, однако.
Ответить | Правка | ^ к родителю #36 | Наверх | Cообщить модератору

69. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +/
Сообщение от Ilya Indigo (ok), 28-Май-19, 09:41 
> Почему-то dup но чего не нашёл, хотя явно видна более новая по циферкам версия.

Это потому что, не понятно зачем, изменили в /etc/zypp/zypp.conf
solver.dupAllowVendorChange = false
Её нужно вернуть по умолчанию в
# solver.dupAllowVendorChange = true
А также не помешает и
solver.allowVendorChange = true

Ответить | Правка | ^ к родителю #67 | Наверх | Cообщить модератору

42. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +/
Сообщение от iCat (ok), 26-Май-19, 07:30 
Что-то многовато посыпалось нелепых ошибок...
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

53. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +/
Сообщение от G0Dzillaemail (ok), 26-Май-19, 14:20 
О, святой Тюринг! Кто же придумал синтаксис zypper??? Как этим можно пользоваться?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

56. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +2 +/
Сообщение от DiabloPC (ok), 26-Май-19, 15:04 
Шо плохого в синтаксисе зиппера?
ИМХО, он самый вменяемый со всех популярных пакетных манагеров
Ответить | Правка | ^ к родителю #53 | Наверх | Cообщить модератору

58. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +2 +/
Сообщение от Аноним (58), 26-Май-19, 16:29 
>Шо плохого в синтаксисе зиппера?
>ИМХО, он самый вменяемый со всех популярных пакетных манагеров

Кстати да, я как в прошлом пользователь одного только apt, подтверждаю, zypper имеет вполне себе человеческий логичный синтаксис, ничего криминального по приезду на opensuse не замечено в пакетном менеджере, а если кто-то удивляется с возможности записывать команды в сокращённом виде, in вместо install, например, так это распространённая практика во многих консольных программах.
По мне так синтаксис состоящий почти сплошь из одних, только разного рода, слэшей и скобочек, вот это хреновый синтаксис, а кому-то норм.

Ответить | Правка | ^ к родителю #56 | Наверх | Cообщить модератору

59. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  –1 +/
Сообщение от Аноним (59), 26-Май-19, 17:07 
Нормально можно пользоваться. А еще zypper перед установкой пакета выводит перечень всех других, которые должны быть поставлены за компанию, и по-человечески спрашивает, начинать ли установку. А не как apt, который после install радостно наворачивает ложкой все подряд.

Может, в apt сейчас что-то поменялось, но когда в последний раз заглядывал в Mint, все так и было.

Ответить | Правка | ^ к родителю #53 | Наверх | Cообщить модератору

65. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +/
Сообщение от Анонимус2 (?), 27-Май-19, 11:14 
15 лет пользуюсь apt - никогда в нем такого не было
Ответить | Правка | ^ к родителю #59 | Наверх | Cообщить модератору

70. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +/
Сообщение от пох. (?), 28-Май-19, 10:43 
> Нормально можно пользоваться. А еще zypper перед установкой пакета выводит перечень всех
> других, которые должны быть поставлены за компанию, и по-человечески спрашивает, начинать

самое главное - что он это делает - _консистентно_. Спрашивает, если не оверрайдить конфигом, всегда. Если оверрайдить - то не спрашивает.

А у apt "угадайте что мы будем делать сегодня". Если у пакета нет зависимостей или они все перечислены вручную - поставит молча. Если есть - зависнет с вопросом, что не очень удобно, когда ты подвоха не ожидал.

ну и хуже apt search придумать что-либо трудно, у zypper с поиском все в порядке - нужны совпадения по именам, ищет имя, нужно абы что похожее - будет искать по описаниям, нужно найти того, кто provides фичу или библиотеку - и так тоже умеет. case/installed/not installed - пожалуйста.

Ну так это ж еще немец делал, для себя, а не на от..сь.

> Может, в apt сейчас что-то поменялось, но когда в последний раз заглядывал
> в Mint, все так и было.

просто либо тебе повезло угадать все буквы, либо там вручную конфигом оверрайдили - причем пооверрайдить можно только в одну сторону - Assume-Yes есть, а никакого "ask-always" не предусмотрено.

Ответить | Правка | ^ к родителю #59 | Наверх | Cообщить модератору

64. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +/
Сообщение от Ilya Indigo (ok), 27-Май-19, 10:51 
Просто легко и интуитивно, не то что пакман!
Ответить | Правка | ^ к родителю #53 | Наверх | Cообщить модератору

71. "Ошибка в OpenSSL нарушила работу некоторых приложений openSU..."  +/
Сообщение от Ilya Indigo (ok), 28-Май-19, 14:19 
Ё-маё, в openSUSE ещё нашли баг https://bugzilla.opensuse.org/show_bug.cgi?id=1136522
В Debian/Ubuntu/Mint и RH/CentOS/Fedora вообще openSSL не используют что ли?
Там она почти год уже, а в openSUSE неделю назад появилась и уже 2 серьёзных бага нашли.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Слёрм
Inferno Solutions
Hosting by Ihor
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2019 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру